﻿@model StocksApp.Model.CustomerModel.Customer
@*
    For more information on enabling MVC for empty projects, visit http://go.microsoft.com/fwlink/?LinkID=397860
*@

<p>Username: @string.Format("{0} {1}", Model.info.name, Model.info.lastName)</p>
<p>Email: @Model.info.email</p>
<div>
    <h1>My Portfolio.</h1> 
</div>

@{

<div style="text-align:center">
    
    <a href="@Url.Action("Transaction", "Trading", Model)"><button class="btn btn-primary">Trade</button></a>
    <h5>Cash Available: @Model.investmentPortfolio.cashAvailable</h5>
    <h5>Total Gain/Loss: @Model.investmentPortfolio.totalGainLoss</h5>
    <h5>Percent Gain/Loss: @Model.investmentPortfolio.percentGainLoss</h5>
</div>
    <table class="table">

        <thead class="thead-dark">
            <tr>
                <th scope="col">Amount</th>
                <th scope="col">Symbol</th>
                <th scope="col">Price Acquired</th>
                <th scope="col">Current Price</th>
                <th scope="col">Percentage Gain/Loss</th>
                <th scope="col">Amount Gain/Loss</th>
            </tr>
        </thead>

        <tbody>
            @foreach (var stock in Model.investmentPortfolio.holdings)
            {
                <tr>
                    <td>@stock.amount</td>
                    <td>@stock.symbol</td>
                    <td>@stock.priceAquired</td>
                    <td>@stock.currentPrice</td>
                    <td>@stock.percentageGainLoss</td>
                    <td>@stock.amountGainLoss</td>
                </tr>
            }
        </tbody>

    </table>

}
